<!-- Archive List -->
<div class="todo-list">
  <div *ngIf="archiveListLoading">
    Loading ...
  </div>
  <div *ngFor="let archive of archives | slice: 0:5; index as i" class="cursor-pointer todo-item"
    (mouseenter)="showAction(archive)" (mouseleave)="hideAction()">

    <p class="todo-title">
      <li>{{archive.title}}</li>
    </p>

    <!-- Action Buttons -->
    <span style="float: right" *ngIf="selectedArchive && archive.id === selectedArchive.id">
      <i class="fas fa-undo mr-2" (click)="openConfirmDialog(archive, 'restore')" tooltip="Restore"></i>
      <i class="fas fa-trash-alt" (click)="openConfirmDialog(archive, 'delete')" tooltip="Delete"></i>
    </span>
  </div>

  <div *ngIf="!archives && !archiveListLoading">
    No results
  </div>

  <div class="show-more" *ngIf="archives && archivesCount > 5">
    <a (click)="openModel(allArchiveList)">Show More</a>
  </div>
</div>
<!-- End Archive List  -->

<!-- Show More Archive List Modal -->
<ng-template #allArchiveList>
  <div class="modal-header">
    <h4 class="modal-title pull-left">Archive List</h4>
    <button type="button" class="close pull-right" aria-label="Close" (click)="moreArchivesModalRef.hide()">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <div *ngFor="let archive of archives | slice:5; index as i" class="cursor-pointer todo-item"
      (mouseenter)="showAction(archive)" (mouseleave)="hideAction()">

      <p class="todo-title">
        <li>{{archive.title}}</li>
      </p>

      <span style="float: right" *ngIf="selectedArchive && archive.id === selectedArchive.id">
        <i class="fas fa-undo mr-2" (click)="openConfirmDialog(archive, 'restore')" tooltip="Restore"></i>
        <i class="fas fa-trash-alt" (click)="openConfirmDialog(archive, 'delete')" tooltip="Delete"></i>
      </span>
    </div>
  </div>
</ng-template>
<!-- End of Show More Archive List Modal -->